For the complete documentation index, see llms.txt. This page is also available as Markdown.

Comment

Perform various operations on comment records.

Symitar eDocs References: Coming soon.

Operations

getCommentSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CommentLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/getCommentSelectFields
POST /nexum/627/persistent/account/getCommentSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 362

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "CommentLocator": 223,
  "SelectableFields": {
    "IncludeAllCommentFields": false,
    "CommentFields": {
      "Locator": true,
      "Type": true,
      "Text": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Comment": {
    "Locator": 223,
    "Type": 1,
    "Text": "UPDATED COMMENT TEXT",
    "EffectiveDate": "2025-09-08",
    "ExpirationDate": "2025-09-08",
    "RecordChangeDate": "2010-05-08"
  },
  "MessageId": "getCommentSelectFields"
}

getCommentPagedListSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/getCommentPagedListSelectFields
POST /nexum/627/persistent/account/getCommentPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 420

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCommentFields": false,
    "CommentFields": {
      "Locator": true,
      "Type": true,
      "Text": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Comment": [
    {
      "Locator": 223,
      "Type": 1,
      "Text": "UPDATED COMMENT TEXT",
      "EffectiveDate": "2025-09-08",
      "ExpirationDate": "2025-09-08",
      "RecordChangeDate": "2010-05-08"
    }
  ],
  "Token": null,
  "MessageId": "getCommentPagedListSelectFields"
}

searchCommentPagedSelectFields

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
TokenstringOptional
post/searchCommentPagedSelectFields
POST /nexum/627/persistent/account/searchCommentPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 442

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "Query": "LOCATOR=223",
  "PagingRequestContext": {
    "NumberOfRecordsToReturn": 5,
    "NumberOfRecordsToSkip": 0
  },
  "SelectableFields": {
    "IncludeAllCommentFields": false,
    "CommentFields": {
      "Locator": true,
      "Type": true,
      "Text": true,
      "EffectiveDate": true,
      "ExpirationDate": true,
      "RecordChangeDate": true
    }
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "Comment": [
    {
      "Locator": 223,
      "Type": 1,
      "Text": "UPDATED COMMENT TEXT",
      "EffectiveDate": "2025-09-08",
      "ExpirationDate": "2025-09-08",
      "RecordChangeDate": "2010-05-08"
    }
  ],
  "Token": null,
  "MessageId": "searchCommentPagedSelectFields"
}

updateCommentByID

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CommentLocatorintegerOptional
Responses
200

Successful operation.

application/json
post/updateCommentByID
POST /nexum/627/persistent/account/updateCommentByID HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 261

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "CommentLocator": 265,
  "CommentFields": {
    "Text": "NEXUM WAVE 4 VALIDATION COMMENT UPDATED",
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "UpdateStatus": {
    "isAllFieldsUpdateSuccess": true,
    "FailedUpdateStatus": null,
    "Version_1": null,
    "_value_1": null
  },
  "MessageId": "updateCommentByID"
}

createComment

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
Responses
200

Successful operation.

application/json
CommentLocatorintegerOptional
post/createComment
POST /nexum/627/persistent/account/createComment HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 232

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "CommentFields": {
    "Text": "NEXUM WAVE 4 VALIDATION COMMENT",
    "Type": 0
  },
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "CommentLocator": 265,
  "MessageId": "createComment"
}

deleteComment

post
Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
AccountNumberstringOptional
CommentLocatorintegerOptional
Responses
200

Successful operation.

application/json
nxAttributesobjectOptional

The custom object for NexumAPI response attributes.

post/deleteComment
POST /nexum/627/persistent/account/deleteComment HTTP/1.1
Host: naas.ymcu.libum.io
Authorization: Bearer YOUR_SECRET_TOKEN
Content-Type: application/json
Accept: */*
Content-Length: 185

{
  "Credentials": {
    "AdministrativeCredentials": {
      "Password": "suwn37834b91&"
    }
  },
  "AccountNumber": "0000013824",
  "CommentLocator": 265,
  "nxAttributes": {
    "customFields": {
      "appId": "{application-id}"
    }
  }
}
200

Successful operation.

{
  "MessageId": "deleteComment"
}

Last updated

Was this helpful?